﻿﻿using TSS.TrackWizz.SDK.RiskRating.Models;
using TSS.TrackWizz.SDK.RiskRating.Models.A75;
using TSS.TrackWizz.SDK.RiskRating.Models.A75.ClientModel;
using TSS.TrackWizz.SDK.RiskRating.WebClients.APIWebClients;

namespace A75SampleApp
{
    public partial class SampleCode 
    {
        private void SendRequestButton_Click()
        {
            A75RequestData requestDataModel = GenerateRequestModel();//request Model 
            var publicKey = File.ReadAllBytes(publicKeyText.Text);//public key file path
            var privateKey = File.ReadAllBytes(requestPrivatekey.Text);//private key file path
            var url = requestUrlText.Text;//API URL
            var password = txtPrivateKeyPassword.Text; // private key password
            A75ClientRequestModel a75ClientRequestModel = new A75ClientRequestModel(tokenText.Text, privateKey, publicKey, requestDataModel,
                         txtPrivateKeyPassword.Text, url);
            A75ClientResponseModel response = new A75WebClient().Execute(a75ClientRequestModel);
        }
        private A75RequestData GenerateRequestModel()
        {
            A75RequestData requestDataModel = new A75RequestData();
            //Fill the request model properties as per the the Document
            return requestDataModel;
        }

    }
}
